$ErrorActionPreference = 'Stop';

$packageName= 'software-ideas-viewer'
$url        = 'https://www.softwareideas.net/Download/File/667/SoftwareIdeasViewer-11-60.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  softwareName  = 'Software Ideas Viewer*'

  checksum      = '48ca545d71474fae3246c86be4bb4e17580d4072212f5128429d347cb83b0be7'
  checksumType  = 'sha256'

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
